Subject: tg3 and Broadcom PHY driver

From: Felix Radensky <[email-masked]>
Date: Sun, 27 Sep 2009 00:32:18 +0300

Hi,

I've noticed that in linux-2.6.31 I have to make tg3 driver modular, due to
its dependency on Broadcom PHY driver. If both tg3 and PHY driver are
compiled into the kernel, tg3 fails to detect a PHY, apparently because PHY
driver is loaded later. I'm using BCM57760 on embedded powerpc platform
(MPC8536).

How can I make tg3 work when it's compiled into the kernel ?

Thanks.

Felix.